{ inputs, ... }:
{
  imports = [ ./openbao ];
  khscodes.infrastructure.provisioning.post.modules = [
    {
      imports = [
        inputs.self.terranixModules.s3
      ];
      khscodes.s3 = {
        enable = true;
        bucket = {
          key = "security.kaareskovgaard.net-configuration.tfstate";
        };
      };
    }
  ];
}
